Legacy Downloads


Updates here are simply to update your older software to the latest patch release for that version. If you are running Pastoral Care 9re, or Pastoral Care 2002 or older, your program will only run safely on Windows XP.

Attempting to run Pastoral Care 9re or 2002 on Windows Vista, Windows 7 or Windows 8 will cause untold problems including the possibility of database corruption with loss of data.

Please consider purchasing Pastoral Care 12 if you are using any program listed on this page.

PASTORAL CARE 9re

Patch Update (4Mb)

PASTORAL CARE 2002

Patch Update (2M)